LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
RangeHighlightListener Service Reference

A selection change listener that is attached to a XRangeHighlighter in order to get notified about selection changes that affect range highlighting. More...

`import"RangeHighlightListener.idl";`

Inheritance diagram for RangeHighlightListener:

## Exported Interfaces
interface | ::com::sun::star::view::XSelectionChangeListener

## Additional Inherited Members
Public Member Functions inherited from XSelectionChangeListener
void | selectionChanged ([in] com::sun::star::lang::EventObject aEvent)
| is called when the selection changes. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A selection change listener that is attached to a XRangeHighlighter in order to get notified about selection changes that affect range highlighting.

## Exported Interfaces

## ◆ ::com::sun::star::view::XSelectionChangeListener

interface ::com::sun::star::view::XSelectionChangeListener

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/RangeHighlightListener.idl